Chuyển đến nội dung
Diễn đàn CADViet

alisp

Thành viên
  • Số lượng nội dung

    95
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    8

Cộng đồng

26 (tàm tạm)

About alisp

  • Cấp bậc
    biết vẽ point

Khách truy cập Tiểu sử gần đây

Khối khách truy cập gần đây đã bị vô hiệu và không được hiển thị cho người dùng khác.

  1. Ổng không biết cũng phải thôi, chẳng phải do cad 2010 hay 2016 đâu, mà là nếu nối 2 line thì sau khi fillet nó vẫn rời, còn nếu là 1 poly 1 line hay 2 poly nò sẽ dính chùm. Chẳng qua ông anh trong công ty đã nổ poly thành line rồi đó mà. Mất công mấy bác lisper làm lisp cho vui thôi.
  2. alisp

    Lisp

    Chỉ sửa theo yêu cầu, những chỗ khác ko đụng đến. AREA_ae1.LSP
  3. Tôi nói như này là vì không muốn thấy bác Duongtrunghuy nản chí vi cư phải hỏi đi hỏi lại với lối trình bày mơ hồ của chủ thớt, bác Huy là 1 trong số it người còn nhiệt tình giúp đỡ người khác trong CV, bác ay mà không giúp nữa thì chẳng còn ai giúp nữa đâu.
  4. Vậy là bạn chưa xem cái file chủ thớt đưa lên rồi. 2 lệnh đó cho kết quả giống nhau nếu R=0 hoặc D=0, nhưng trong file bạn ấy đưa lên không thấy có cái arc nào của lệnh fillet mà chỉ thấy bẻ cạnh của lệnh chamfer, hay là bạn tìm dùm chỗ nào dùng lệnh fillet đc không ?
  5. 8 câu trả lời mà mọi người vẫn phải đoán già đoán non, không hiểu chủ thớt muốn gì lun, ngay tên lệnh cũng nói sai, đó là chamfer chứ kp fillet nhé bác, botay.com!!
  6. Ngoại trừ lisp ra thì không có cách nào cả, nhưng dạo này trên 4rum dường như chẳng có ai hứng thú viết free cả, bạn thông cảm nhé. Hoặc vẽ tay nếu số lượng ít.
  7. alisp

    Nhờ sửa lisp dim polyline

    Bạn không biết suppress dim line trong lệnh dimsty sao?
  8. alisp

    Nhờ sửa lisp dim polyline

    Bỏ text thì chỗ (command "text" cT "" "" (rtos (1- (length vLst)) 2 0) "") thêm ký tự ; đằng trước thành ;(command "text" cT "" "" (rtos (1- (length vLst)) 2 0) "") còn chỉnh dim thì dùng lệnh dimsty để sửa thôi.
  9. alisp

    mất bảng block definition

    Không biết bạn dùng cad đời nào nhưng cứ nhấn thử F12 xem sao.
  10. +Lần trước bạn nói lỗi text, đã sửa được rồi. +Lần này bạn nói không chọn được nhiều line, bạn sửa như sau: 1- Xóa hết đoạn : (setq dtuong1 (cdr (car (entget (ssname doituong total))))) (command "lengthen" dtuong1"") (setq dt (getvar "Perimeter")) 2- Thay bằng đoạn: (setq dtuong1 (ssname doituong total) dt (vlax-curve-getDistAtParam dtuong1 (vlax-curve-getEndParam dtuong1 ))) + Nếu có lần sau thì nhờ người khác sửa.
  11. Bạn sửa (setq color bylayer) thành (setq color 256) .
  12. alisp

    Em muốn hỏi về lệnh Select?

    Đơn giản mà : (sssetfirst nil (ssget "P"))
  13. alisp

    Vấn đề về Dimension

    Chắc có chạy cái lisp nào đó chứ không thể tự nhiên ra như vậy, bạn đưa file lên xem sao.
  14. alisp

    Dóng kích thước hàng loạt các Block

    Lisp của bạn vẫn dùng được nếu các block nằm tại đỉnh polyline, không cần sửa gì cả. Nếu không nằm tại đỉnh mới phải sửa.
×